<template>
  <SpecificNewsPage :article="article"></SpecificNewsPage>
</template>

<script>
  import { defineComponent, ref } from 'vue'
  import { useRoute } from 'vue-router'

  import { useGettext } from 'vue3-gettext'

  import SpecificNewsPage from '../../components/news/SpecificNewsPage.vue'

  import { getShortLocale } from '../../shared/i18n'
  import { buildSpecificArticle } from '../../shared/news'

  // We need a dedicated component for archived news to not load all news inside the same component
  export default defineComponent({
    components: {
      SpecificNewsPage
    },

    setup () {
      const { current } = useGettext()
      const route = useRoute()

      const markdownFiles = getShortLocale(current) === 'fr'
          ? import.meta.glob('../../news/archives/fr/*.md', { eager: true })
          : import.meta.glob('../../news/archives/en/*.md', { eager: true })

      const article = ref(buildSpecificArticle(markdownFiles, route.meta.id))

      return {
        article
      }
    }
  })
</script>
